Page MenuHomePhabricator

Special:UploadCampaigns and Special:UploadCampaign contents are hidden from people without editing rights
Closed, ResolvedPublic

Description

Campaign info should still be visible even if you don't have editing rights for them. This makes it hard to find the campaign info for Wiki Loves Monuments stuff at the moment...


Version: unspecified
Severity: enhancement
URL: https://commons.wikimedia.org/wiki/Special:UploadCampaigns

Details

Reference
bz36914

Event Timeline

bzimport raised the priority of this task from to Medium.Nov 22 2014, 12:28 AM
bzimport added a project: UploadWizard.
bzimport set Reference to bz36914.
brion created this task.May 16 2012, 8:28 PM

Note bug 36915 for adding an API method for fetching this data; that'll help for our WLM app but it'd still be nice to make things visible for regular people.

Pikne added a comment.Jul 31 2012, 2:37 PM

*** Bug 38341 has been marked as a duplicate of this bug. ***

This does not seem to work too well:

To be fair the summary did say Special:UploadCampaigns, but it should include Special:UploadCampaign as well...

Related URL: https://gerrit.wikimedia.org/r/70027 (Gerrit Change I1f65a4bb6eadc0696b8aa8c3b4e8972b299b8db8)

I have submitted a change but there are problems to resolve.

The change causes the form to be displayed to all users with all attributes disabled and no submit/cancel button (I guess that was expected?)

However, this could lead into confusion for some users if we don't display the 'You don't have permissions' warning, which we can't display simultaneously by use of Exceptions. So maybe try another way to display this?

I would like to change the "You are modifying an Upload Wizard campaign." text to "You are viewing an Upload Wizard campaign but you cannot modify it.", however the message key is enforced by FormSpecialPage::getForm to effectively be:
strlower( $this->getName() ) . '-text'.

I think we'll have to do this:

$wgHooks['SpecialUploadCampaignBeforeFormDisplay'][] = function ( &$form ) {

$form->setHeaderText( wfMessage( 'uploadcampaign-text-readonly' )->parseAsBlock() );
return true;

};

Um, with a permissions check in there as well of course.

I never saw "You are modifying an Upload Wizard campaign." It should definitely be outside the fieldset and also bold. Bad design

Using preText() now, looks much more sane

Change 70027 abandoned by Yuvipanda:
Show a disabled form for users without permissions.

Reason:
Campaign: namespace has been merged now, and users can see the campaigns without restriction now.

https://gerrit.wikimedia.org/r/70027

With the new 'Campaign:' namespace, anyone can view them.

Gilles raised the priority of this task from Medium to Unbreak Now!.Dec 4 2014, 10:23 AM
Gilles added a project: Multimedia.
Gilles moved this task from Untriaged to Done on the Multimedia board.
Gilles lowered the priority of this task from Unbreak Now! to Medium.Dec 4 2014, 11:22 AM